Budd:e requires Flash to run.

You can download the most recent version of Flash here.